@charset "utf-8";
/* CSS Document */

html {
  height: 100%;
	overflow-y:scroll;
}
 
body {
  max-width: 640px;
  height: 100%;
  margin: 0 auto;
  font-family: serif;
  font-size: 40px;
  font-weight: 500;
  line-height: 1.6;
  color: #000000;
}

body::before {
  content:"";
  display:block;
  position:fixed;
  top:0;
  left:0;
  z-index:-1;
  width:100%;
  height:100vh;
  background-repeat:no-repeat;
  background-position:50% 100%;
  background: url("../img/spring_sweepstakes_back.jpg");
  background-size: cover;
}

header {
  position: fixed;
  width: 100%;
  height: 70px;
  z-index: 5;
  top: 0;
  left: 0;
  transition: background-color 0.3s ease;
}

header::before {
  content: "";
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background: transparent;
  transition: background-color 0.3s ease, opacity 0.3s ease;
  opacity: 0;
  z-index: -1;
}

header.scrolled::before {
  height: 100%;
  background: rgba(0, 0, 0, 0.623);
  opacity: 1;
}

.header-inr {
  width: 100%;
  max-width: 1366px;
  margin: 0 auto;
  position: relative;
}

header .logo {
  width: 70px;
  left: 20px;
  top: 20px;
  z-index: 1;
}

header nav {
  position: absolute;
  top: 15px;
  right: 15px;
  z-index: 4;
}

header nav .cv-btn {
  float: right;
  padding-left: 10px;
	display: block;
	margin: 2px auto;
	padding: 2px 5px;
  outline: 0;
  border: solid 2px #ffc5f2;
  border-radius: 5px;
  background: #ffffffe1;
	color: #000000;
	font-size: 16px;
	font-weight: bold;
	letter-spacing: 1px;
	box-sizing: border-box;
  box-shadow: 0 0 10px #fffcfe,0 0 5px #ffc5f2;
  opacity: 0;
  transition: opacity 0.3s ease;
}

header nav .cv-btn.visible {
  opacity: 1;
}

header nav .cv-btn a {
  margin: 0;
  padding: 0;
  outline: 0;
  font-size: 100%;
  font-weight: bold;
  vertical-align: baseline;
  width: 80px;
  line-height: 30px;
  background: #ffffff00;
  color: #000000;
  text-align: center;
  letter-spacing: 0.2px;
}

header nav .cv-btn a span {
	display: inline-block;
	margin-right: 6px;
	width: 150px;
}

header nav .cv-btn a span img {
  width: 18px;
  vertical-align: middle;
  margin-bottom: 3px;
  margin-right:5px;
}

#mainvisual {
  width: 100%;
  margin: 0 auto;
  position: relative;
  z-index: 4;
}

.inner {
  max-width: 1080px;
  margin: 0 auto;
  padding-top: 0;
  position: relative;
}

.mainvisual-inr {
  margin-bottom: 0;
}

img {
	width: 100%;
	vertical-align: bottom;
}

.sectiontitle2 {
  width: 100%;
  margin: 0;
  padding-top: 25px;
  background-color: #000000ab;
}

.countdown {
  width: 100%;
  margin: 0;
  padding-top: 20px;
  background-color:#000000ab;
}

.section {
  padding: 25px 0 0;
  overflow: hidden;
  background-color: #000000a8;
}

.section2 {
  padding: 25px 0 0;
  overflow: hidden;
}

.sec-wrap {
  width: 100%;
  position: relative;
}

.sec-ttl {
  padding: 25px 0;
  text-align: center;
  background-color: #000000ab;
}

#section02 .sec-ttl .ttl {
  font-size: 15px;
  color: #ffffff;
  font-weight: 900;
  line-height: 1.5;
}

#section02 .sec-ttl .ttl span {
  font-size: 18px;
  font-weight: 900;
  color: #ffffff;
}

.sec-ttl .lead {
  font-size: 14px;
  margin-top: 10px;
  color: #ffffff;
}

.step-area {
  display: block;
  padding: 20px 20px 20px;
  list-style: none;
  margin: 0;
  background-color: #000000ab;
}

.step-area .block {
  text-align: center;
  width: 90%;
  margin: 0 auto 50px auto;
  padding: 35px 20px 30px;
  border: 2px solid rgb(214, 177, 211);
  position: relative;
}

.step-area .block .ttl {
  display: inline-block;
  position: absolute;
  font-family: serif;
  font-weight: 900;
  font-size: 20px;
  left: 50%;
  transform: translateX(-50%);
  top: -20px;
  line-height: 1;
  color: rgb(255, 215, 252);
  padding: 0 40px;
  background: #000000;
}

.step-area .block .ttl span {
  font-size: 32px;
}

dl, ul, ol {
  list-style: none;
  margin: 0;
  padding: 0;
}

dt {
  display: block;
  unicode-bidi: isolate;
}

dd {
  display: block;
  unicode-bidi: isolate;
  color: rgb(255, 255, 255);
}

.step-area .block dd {
  line-height: 1.5;
  margin-top: 15px;
  font-size: 14px;
  text-align: left;
}

.marker {
  background: linear-gradient(transparent 60%, #7a326b 10%);
  display: inline;
  padding: 0;
}

.step-area .block:after {
  content: "";
  width: 25px;
  height: 16px;
  background: url(../img/arrow_dot_down.png) center bottom no-repeat;
  background-size: 25px auto;
  position: absolute;
  right: 50%;
  bottom: -26px;
  transform: translateX(50%);
}

.step-area .block:last-child:after {
  display: none;
}

.section-btm {
  text-align: center;
}

.section-btm .sec-wrap:first-child {
  background: #000000ab;
  padding: 40px 20px;
}

.section-btm .sec-wrap {
  padding: 40px 0;
}

.section-btm .ttl {
  font-size: 20px;
  font-weight: 900;
  margin-bottom: 20px;
  line-height: 1.5;
  color: #fff;
}

.section-btm .scroll-contents {
  width: 100%;
  height: 260px;
  padding: 15px 20px;
  border: 1px solid rgba(255, 255, 255, 0.40);
  font-size: 12px;
  margin: 0 auto;
  box-sizing: border-box;
  text-align: left;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
}

.section-btm .scroll-contents p {
  margin-bottom: 15px;
  color: #fff;
}

.section-btm .scroll-contents .ttl {
  font-size: 14px;
  font-weight: 900;
  margin-bottom: 8px;
  padding: 0 0 8px 5px;
  display: block;
    border-bottom: 1px solid rgba(255, 255, 255, 0.20);
    position: relative;
}

.section-btm .scroll-contents ul {
  padding-left: 17px;
  list-style: none;
  margin-bottom: 15px;
  padding: 0;
}

.section-btm .scroll-contents ul li {
  margin-left: 20px;
  list-style: outside disc;
  color: #fff;
}

.superBk {
  display:block;
  margin-top: -10px;
  padding: 20px;
  }

.superBk img {
  display:block;
  width:100%;
  text-align: center;
  margin:10px auto 0 auto;
}  

.fadeUp{
  animation-name:fadeUpAnime;
  animation-duration:1s;
  animation-fill-mode:forwards;
  opacity:0;
  }
  
  @keyframes fadeUpAnime{
    from {
      opacity: 0;
      transform: translateY(100px);
    }
  
    to {
      opacity: 1;
    transform: translateY(0);
    }
  }
  
.fadeLeft{
  animation-name:fadeLeftAnime;
  animation-duration:0.5s;
  animation-fill-mode:forwards;
  opacity:0;
}
    
  @keyframes fadeLeftAnime{
    from {
      opacity: 0;
      transform: translateX(-100px);
    }
    
    to {
      opacity: 1;
      transform: translateX(0);
    }
  }
    
.fadeRight{
  animation-name:fadeRightAnime;
  animation-duration:0.5s;
  animation-fill-mode:forwards;
  opacity:0;
}
    
  @keyframes fadeRightAnime{
    from {
      opacity: 0;
      transform: translateX(100px);
    }
    
    to {
      opacity: 1;
      transform: translateX(0);
    }
  }
     
.fadeInTrigger,
.fadeUpTrigger,
.fadeDownTrigger,
.fadeLeftTrigger,
.fadeRightTrigger{
  opacity: 0;
}

.blur{
  animation-name:blurAnime;
  animation-duration:1s;
  animation-fill-mode:forwards;
}
  
  @keyframes blurAnime{
    from {
      filter: blur(10px);
      transform: scale(1.02);
      opacity: 0;
    }
  
    to {
      filter: blur(0);
      transform: scale(1);
      opacity: 1;
    }
  }
   
.blurTrigger{
  opacity: 0;
}

p{
	font-size: 14px;
}

.blink {
	-webkit-animation: blink 1s ease infinite;
	animation: blink 1s ease infinite;
}
	@-webkit-keyframes blink {
		0% {opacity: 0;}
		100% {opacity: 1;}
	}
	@keyframes blink {
		0% {opacity: 0;}
		100% {opacity: 1;}
	}
	
.okumanBk h3 {
	color: #FFF;
	font-size: 16px;
	line-height: 21px;
	text-shadow: 0 0 5px #F00,0 0 10px #F00;
}

.okumanBox {
	width: 100%;
	margin: 24px auto 0;
	padding: 6px;
	background: rgba(255,255,255,.5);
	border: solid 2px #FFF;
	box-sizing: border-box;
}

.okumanBox-inner {
	width: 100%;
	margin: 0 auto;
	padding: 12px;
	font-size: 14px;
	line-height: 21px;
	background: rgba(255,255,255,.75);
	border: solid 2px #FFF;
	box-sizing: border-box;
}

.techno {
	margin: 0 auto;
  text-align: center;
	padding: 0;
	color: #ffffff;
	font-size: 14px;
	line-height: 21px;
  border: solid 2px #FFF;
  box-sizing: border-box;
}
  
span {
  display: inline-block;
  text-align: center;
}

.yycountdown-box{
  text-align:center;
  margin:10px 0;
  color:#ffffff;
}

#timer2 .yycountdown-box .yyc-day{
  display:none;
  font-size:40px;
  color:#ffffff;
}

#timer2 .yycountdown-box .yyc-hou{
  display:none;
  font-size:40px;
  color:#ffffff;
}

#timer2 .yycountdown-box .yyc-min{
  font-size:50px;
  color:#ffffff;
}

#timer2 .yycountdown-box .yyc-sec{
  display:none;
  font-size:40px;
  color:#ffffff;
}
  
#timer2 .yycountdown-box .yyc-day-text{
  display:none;
}

#timer2 .yycountdown-box .yyc-hou-text{
  font-size:18px;
}

#timer2 .yycountdown-box .yyc-min-text{
  font-size:18px;
}

#timer2 .yycountdown-box .yyc-sec-text{
  font-size:24px;
  display:none;
}

#roulette {
  text-align: center;
  margin: -10px auto 0 auto;
  padding: 50px 0;
}

.roulette-container {
  width: 90%;
  height: 90%;
  margin: 0 auto 20px;
  overflow: hidden;
  border: 5px solid #ffffff;
  box-shadow: 0 4px 10px rgba(0,0,0,0.3);
}
  
.roulette-container img {
  width: 100%;
  height: auto;
  object-fit: cover;
}
  
#start-btn {
  margin-top: 20px;
  padding: 10px 50px;
  font-size: 20px;
  cursor: pointer;
  border: solid 2px #ffffff;
  border-radius: 8px;
  background-color: rgba(255, 220, 255, 0.904);
  color: #47003b;
  box-shadow: 4px 4px 5px rgba(255, 220, 220, 0.877);
}
  
#start-btn:hover {
  background: #0056b3;
}

.fade-in {
  animation: fadeIn 2s forwards;
}

.fade-out {
  animation: fadeOut 3s forwards;
}

@keyframes fadeIn {
  from { opacity: 0; }
  to { opacity: 1; }
}

@keyframes fadeOut {
  from { opacity: 1; }
  to { opacity: 0; }
}

#win-overlay {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.897);
  z-index: 999;
  justify-content: center;
  align-items: center;
}
  
#win-overlay img {
  width: 100%;
  max-height: 80%;
}

#nextBtn {
  width: 80%;
  display: block;
  margin: 12px auto 18px;
  padding: 12px 0;
  background: #00b900;
  text-align: center;
  border-radius: 12px;
  color: #FFF;
  font-size: 16px;
  font-weight: bold;
  letter-spacing: 1px;
  box-shadow: 0 0 10px #FFF,0 0 5px #FFF;
  box-sizing: border-box;
}

#nextBtn a {
  color: white;
  text-decoration: none;
}

#nextBtn:hover {
  transform: scale(1.1);
  transition: transform 0.3s;
}

footer {
	text-align: center;
	padding: 12px 0;
	background: #000;
	color: #FFF;
	font-size: 12px;
	line-height: 24px;
}